<?php

namespace Drupal\membership_commerce\Resolvers;

use Drupal\commerce\Context;
use Drupal\commerce\PurchasableEntityInterface;
use Drupal\commerce_price\Price;
use Drupal\commerce_price\Resolver\PriceResolverInterface;

/**
 * BasePriceResolver service.
 */
class BasePriceResolver implements PriceResolverInterface {

  /**
   * @param \Drupal\commerce\PurchasableEntityInterface $entity
   * @param string $quantity
   * @param \Drupal\commerce\Context $context
   *
   * @return \Drupal\commerce_price\Price|null
   */
  public function resolve(PurchasableEntityInterface $entity, $quantity, Context $context) {
    $i = $entity;
    if (!empty($entity->field_base_price->number)) {
      $total_price = $entity->field_base_price->number + ($entity->getPrice()->getNumber() * $quantity);
      return new Price($total_price / $quantity, $entity->getPrice()->getCurrencyCode());
    }
    return null;
  }

}
